import { Account, Context, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi-core';
export type Multisig = Account<MultisigAccountData>;
export type MultisigAccountData = {
    m: number;
    n: number;
    isInitialized: boolean;
    signers: Array<PublicKey>;
};
export declare function fetchMultisig(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<Multisig>;
export declare function safeFetchMultisig(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<Multisig | null>;
export declare function fetchAllMultisig(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<Multisig[]>;
export declare function safeFetchAllMultisig(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<Multisig[]>;
export declare function getMultisigGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi-core").GpaBuilder<Multisig, {
    m: number;
    n: number;
    isInitialized: boolean;
    signers: Array<PublicKey>;
}>;
export declare function deserializeMultisig(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): Multisig;
export declare function getMultisigAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MultisigAccountData>;
export declare function getMultisigSize(_context?: {}): number;
