"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMplTokenExtrasErrorFromName = exports.getMplTokenExtrasErrorFromCode = exports.TokExCannotCreateNonAssociatedTokenError = exports.TokExInvalidTokenOwnerError = exports.TokExInvalidTokenMintError = exports.TokExInvalidProgramOwnerError = exports.TokExInvalidAssociatedTokenAccountError = exports.TokExInvalidAssociatedTokenProgramError = exports.TokExInvalidTokenProgramError = exports.TokExInvalidSystemProgramError = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
const codeToErrorMap = new Map();
const nameToErrorMap = new Map();
class TokExInvalidSystemProgramError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid System Program', program, cause);
        this.name = 'InvalidSystemProgram';
        this.code = 0x0;
    }
}
exports.TokExInvalidSystemProgramError = TokExInvalidSystemProgramError;
codeToErrorMap.set(0x0, TokExInvalidSystemProgramError);
nameToErrorMap.set('InvalidSystemProgram', TokExInvalidSystemProgramError);
class TokExInvalidTokenProgramError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid Token Program', program, cause);
        this.name = 'InvalidTokenProgram';
        this.code = 0x1;
    }
}
exports.TokExInvalidTokenProgramError = TokExInvalidTokenProgramError;
codeToErrorMap.set(0x1, TokExInvalidTokenProgramError);
nameToErrorMap.set('InvalidTokenProgram', TokExInvalidTokenProgramError);
class TokExInvalidAssociatedTokenProgramError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid Associated Token Program', program, cause);
        this.name = 'InvalidAssociatedTokenProgram';
        this.code = 0x2;
    }
}
exports.TokExInvalidAssociatedTokenProgramError = TokExInvalidAssociatedTokenProgramError;
codeToErrorMap.set(0x2, TokExInvalidAssociatedTokenProgramError);
nameToErrorMap.set('InvalidAssociatedTokenProgram', TokExInvalidAssociatedTokenProgramError);
class TokExInvalidAssociatedTokenAccountError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid Associated Token Account: it should derive from the provided mint and owner', program, cause);
        this.name = 'InvalidAssociatedTokenAccount';
        this.code = 0x3;
    }
}
exports.TokExInvalidAssociatedTokenAccountError = TokExInvalidAssociatedTokenAccountError;
codeToErrorMap.set(0x3, TokExInvalidAssociatedTokenAccountError);
nameToErrorMap.set('InvalidAssociatedTokenAccount', TokExInvalidAssociatedTokenAccountError);
class TokExInvalidProgramOwnerError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid Program Owner', program, cause);
        this.name = 'InvalidProgramOwner';
        this.code = 0x4;
    }
}
exports.TokExInvalidProgramOwnerError = TokExInvalidProgramOwnerError;
codeToErrorMap.set(0x4, TokExInvalidProgramOwnerError);
nameToErrorMap.set('InvalidProgramOwner', TokExInvalidProgramOwnerError);
class TokExInvalidTokenMintError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid Token Mint: it should be the same as the provided mint account', program, cause);
        this.name = 'InvalidTokenMint';
        this.code = 0x5;
    }
}
exports.TokExInvalidTokenMintError = TokExInvalidTokenMintError;
codeToErrorMap.set(0x5, TokExInvalidTokenMintError);
nameToErrorMap.set('InvalidTokenMint', TokExInvalidTokenMintError);
class TokExInvalidTokenOwnerError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Invalid Program Owner: it should be the same as the provided owner account', program, cause);
        this.name = 'InvalidTokenOwner';
        this.code = 0x6;
    }
}
exports.TokExInvalidTokenOwnerError = TokExInvalidTokenOwnerError;
codeToErrorMap.set(0x6, TokExInvalidTokenOwnerError);
nameToErrorMap.set('InvalidTokenOwner', TokExInvalidTokenOwnerError);
class TokExCannotCreateNonAssociatedTokenError extends umi_core_1.ProgramError {
    constructor(program, cause) {
        super('Cannot create non-associated token accounts as they would need to sign the transaction. Please provide an associated token account instead', program, cause);
        this.name = 'CannotCreateNonAssociatedToken';
        this.code = 0x7;
    }
}
exports.TokExCannotCreateNonAssociatedTokenError = TokExCannotCreateNonAssociatedTokenError;
codeToErrorMap.set(0x7, TokExCannotCreateNonAssociatedTokenError);
nameToErrorMap.set('CannotCreateNonAssociatedToken', TokExCannotCreateNonAssociatedTokenError);
function getMplTokenExtrasErrorFromCode(code, program, cause) {
    const constructor = codeToErrorMap.get(code);
    return constructor ? new constructor(program, cause) : null;
}
exports.getMplTokenExtrasErrorFromCode = getMplTokenExtrasErrorFromCode;
function getMplTokenExtrasErrorFromName(name, program, cause) {
    const constructor = nameToErrorMap.get(name);
    return constructor ? new constructor(program, cause) : null;
}
exports.getMplTokenExtrasErrorFromName = getMplTokenExtrasErrorFromName;
//# sourceMappingURL=mplTokenExtras.js.map