import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type BurnTokenCheckedInstructionAccounts = {
    account: PublicKey;
    mint: PublicKey;
    authority?: Signer;
};
export type BurnTokenCheckedInstructionData = {
    discriminator: number;
    amount: bigint;
    decimals: number;
};
export type BurnTokenCheckedInstructionArgs = {
    amount: number | bigint;
    decimals: number;
};
export declare function getBurnTokenCheckedInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<BurnTokenCheckedInstructionArgs, BurnTokenCheckedInstructionData>;
export declare function burnTokenChecked(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: BurnTokenCheckedInstructionAccounts & BurnTokenCheckedInstructionArgs): WrappedInstruction;
