import { Context, PublicKey, Serializer, Signer, SolAmount, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type CreateAccountInstructionAccounts = {
    payer?: Signer;
    newAccount: Signer;
};
export type CreateAccountInstructionData = {
    discriminator: number;
    lamports: SolAmount;
    space: bigint;
    programId: PublicKey;
};
export type CreateAccountInstructionArgs = {
    lamports: SolAmount;
    space: number | bigint;
    programId: PublicKey;
};
export declare function getCreateAccountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateAccountInstructionArgs, CreateAccountInstructionData>;
export declare function createAccount(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: CreateAccountInstructionAccounts & CreateAccountInstructionArgs): WrappedInstruction;
