import { Context, Option, PublicKey, Serializer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type InitializeMintInstructionAccounts = {
    mint: PublicKey;
    rent?: PublicKey;
};
export type InitializeMintInstructionData = {
    discriminator: number;
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export type InitializeMintInstructionArgs = {
    decimals: number;
    mintAuthority: PublicKey;
    freezeAuthority: Option<PublicKey>;
};
export declare function getInitializeMintInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeMintInstructionArgs, InitializeMintInstructionData>;
export declare function initializeMint(context: Pick<Context, 'serializer' | 'programs'>, input: InitializeMintInstructionAccounts & InitializeMintInstructionArgs): WrappedInstruction;
