"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeMint2 = exports.getInitializeMint2InstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getInitializeMint2InstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([
        ['discriminator', s.u8],
        ['decimals', s.u8],
        ['mintAuthority', s.publicKey],
        ['freezeAuthority', s.option(s.publicKey)],
    ], 'InitializeMint2InstructionArgs'), (value) => ({ ...value, discriminator: 20 }));
}
exports.getInitializeMint2InstructionDataSerializer = getInitializeMint2InstructionDataSerializer;
function initializeMint2(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const mintAccount = input.mint;
    keys.push({
        pubkey: mintAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(mintAccount, true),
    });
    const data = getInitializeMint2InstructionDataSerializer(context).serialize(input);
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.initializeMint2 = initializeMint2;
//# sourceMappingURL=initializeMint2.js.map