import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type MintTokensToInstructionAccounts = {
    mint: PublicKey;
    token: PublicKey;
    mintAuthority?: Signer;
};
export type MintTokensToInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type MintTokensToInstructionArgs = {
    amount: number | bigint;
};
export declare function getMintTokensToInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintTokensToInstructionArgs, MintTokensToInstructionData>;
export declare function mintTokensTo(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: MintTokensToInstructionAccounts & MintTokensToInstructionArgs): WrappedInstruction;
