import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type MintTokensToCheckedInstructionAccounts = {
    mint: PublicKey;
    token: PublicKey;
    mintAuthority: Signer;
};
export type MintTokensToCheckedInstructionData = {
    discriminator: number;
    amount: bigint;
    decimals: number;
};
export type MintTokensToCheckedInstructionArgs = {
    amount: number | bigint;
    decimals: number;
};
export declare function getMintTokensToCheckedInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<MintTokensToCheckedInstructionArgs, MintTokensToCheckedInstructionData>;
export declare function mintTokensToChecked(context: Pick<Context, 'serializer' | 'programs'>, input: MintTokensToCheckedInstructionAccounts & MintTokensToCheckedInstructionArgs): WrappedInstruction;
