"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.revokeTokenDelegate = exports.getRevokeTokenDelegateInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getRevokeTokenDelegateInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([['discriminator', s.u8]], 'RevokeTokenDelegateInstructionArgs'), (value) => ({ ...value, discriminator: 5 }));
}
exports.getRevokeTokenDelegateInstructionDataSerializer = getRevokeTokenDelegateInstructionDataSerializer;
function revokeTokenDelegate(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const sourceAccount = input.source;
    const ownerAccount = input.owner;
    keys.push({
        pubkey: sourceAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(sourceAccount, true),
    });
    signers.push(ownerAccount);
    keys.push({
        pubkey: ownerAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(ownerAccount, false),
    });
    const data = getRevokeTokenDelegateInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.revokeTokenDelegate = revokeTokenDelegate;
//# sourceMappingURL=revokeTokenDelegate.js.map