"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.syncNative = exports.getSyncNativeInstructionDataSerializer = void 0;
const umi_core_1 = require("@metaplex-foundation/umi-core");
function getSyncNativeInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_core_1.mapSerializer)(s.struct([['discriminator', s.u8]], 'SyncNativeInstructionArgs'), (value) => ({ ...value, discriminator: 17 }));
}
exports.getSyncNativeInstructionDataSerializer = getSyncNativeInstructionDataSerializer;
function syncNative(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.get('splToken').publicKey;
    const accountAccount = input.account;
    keys.push({
        pubkey: accountAccount,
        isSigner: false,
        isWritable: (0, umi_core_1.checkForIsWritableOverride)(accountAccount, true),
    });
    const data = getSyncNativeInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.syncNative = syncNative;
//# sourceMappingURL=syncNative.js.map