import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type TransferTokensInstructionAccounts = {
    source: PublicKey;
    destination: PublicKey;
    authority?: Signer;
};
export type TransferTokensInstructionData = {
    discriminator: number;
    amount: bigint;
};
export type TransferTokensInstructionArgs = {
    amount: number | bigint;
};
export declare function getTransferTokensInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferTokensInstructionArgs, TransferTokensInstructionData>;
export declare function transferTokens(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferTokensInstructionAccounts & TransferTokensInstructionArgs): WrappedInstruction;
