import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi-core';
export type TransferTokensCheckedInstructionAccounts = {
    source: PublicKey;
    mint: PublicKey;
    destination: PublicKey;
    authority?: Signer;
};
export type TransferTokensCheckedInstructionData = {
    discriminator: number;
    amount: bigint;
    decimals: number;
};
export type TransferTokensCheckedInstructionArgs = {
    amount: number | bigint;
    decimals: number;
};
export declare function getTransferTokensCheckedInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<TransferTokensCheckedInstructionArgs, TransferTokensCheckedInstructionData>;
export declare function transferTokensChecked(context: Pick<Context, 'serializer' | 'programs' | 'identity'>, input: TransferTokensCheckedInstructionAccounts & TransferTokensCheckedInstructionArgs): WrappedInstruction;
