"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findAssociatedTokenPda = void 0;
function findAssociatedTokenPda(context, seeds) {
    const s = context.serializer;
    const associatedTokenProgramId = context.programs.get('splAssociatedToken').publicKey;
    const tokenProgramId = context.programs.get('splToken').publicKey;
    return context.eddsa.findPda(associatedTokenProgramId, [
        s.publicKey.serialize(seeds.owner),
        tokenProgramId.bytes,
        s.publicKey.serialize(seeds.mint),
    ]);
}
exports.findAssociatedTokenPda = findAssociatedTokenPda;
//# sourceMappingURL=AssociatedToken.js.map